import axios from 'axios';
import {
  UNKNOWN_AXIOS_ERROR_CODE,
  UNKNOWN_ERROR,
} from '../getErrorMessage/getErrorMessage.constants';

export const getErrorCode = (error: unknown): string => {
  if (axios.isAxiosError(error)) {
    const { code } = error;
    return code || UNKNOWN_AXIOS_ERROR_CODE;
  }
  return UNKNOWN_ERROR;
};
